/*
 * @Author: wrh
 * @Date: 2024-03-22 17:42:30
 * @LastEditors: wrh
 * @LastEditTime: 2024-04-03 10:10:01
 */
import request from '@/utils/request'

// 查询cmc预算管理列表
export function listBudget(query) {
  return request({
    url: '/oa/budget/list',
    method: 'get',
    params: query
  })
}

// 查询cmc预算管理详细
export function getBudget(budgetId) {
  return request({
    url: '/oa/budget/' + budgetId,
    method: 'get'
  })
}

// 新增cmc预算管理
export function addBudget(data) {
  return request({
    url: '/oa/budget',
    method: 'post',
    data: data
  })
}

// 修改cmc预算管理
export function updateBudget(data) {
  return request({
    url: '/oa/budget',
    method: 'put',
    data: data
  })
}

// 删除cmc预算管理
export function delBudget(budgetId) {
  return request({
    url: '/oa/budget/' + budgetId,
    method: 'delete'
  })
}
